> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /apartmentlist/listings

> Get full Apartment List rental listing details by listing URL (or /{state}/{city}/{slug} path): name, description, address, geo, phone, images, virtual tours, community/unit amenities, top amenities, walk and transit scores, parking, office hours, pet policy, fees, floor plans with units (base/total price, fees, lease length, availability, sqft), market average rent, nearby schools and points of interest, resident reviews, and similar listings.

**Price:** 10 credits

**⚠️ Common errors:** 412: Listing not found (well-formed but nonexistent listing URL/slug)



## OpenAPI

````yaml /openapi/real-estate.json post /api/apartmentlist/listings
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/apartmentlist/listings:
    post:
      tags:
        - /apartmentlist
      summary: /apartmentlist/listings
      description: >-
        Get full Apartment List rental listing details by listing URL (or
        /{state}/{city}/{slug} path): name, description, address, geo, phone,
        images, virtual tours, community/unit amenities, top amenities, walk and
        transit scores, parking, office hours, pet policy, fees, floor plans
        with units (base/total price, fees, lease length, availability, sqft),
        market average rent, nearby schools and points of interest, resident
        reviews, and similar listings.


        **Price:** 10 credits


        **⚠️ Common errors:** 412: Listing not found (well-formed but
        nonexistent listing URL/slug)
      operationId: __api_apartmentlist_listings_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApartmentlistListingsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ApartmentlistListing'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ApartmentlistListingsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        listing:
          type: string
          minLength: 1
      type: object
      required:
        - listing
    ApartmentlistListing:
      properties:
        '@type':
          type: string
          default: ApartmentlistListing
        id:
          type: string
        url:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        highlight:
          anyOf:
            - type: string
            - type: 'null'
        formatted_address:
          anyOf:
            - type: string
            - type: 'null'
        street_address:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        zip:
          anyOf:
            - type: string
            - type: 'null'
        county:
          anyOf:
            - type: string
            - type: 'null'
        neighborhood:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        management_company:
          anyOf:
            - type: string
            - type: 'null'
        source_name:
          anyOf:
            - type: string
            - type: 'null'
        occupancy_types:
          items:
            type: string
          type: array
          default: []
        show_price:
          anyOf:
            - type: boolean
            - type: 'null'
        has_unit_level_availability:
          anyOf:
            - type: boolean
            - type: 'null'
        tour_booking_allowed:
          anyOf:
            - type: boolean
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
        availability_checked_at:
          anyOf:
            - type: integer
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        virtual_tours:
          items:
            $ref: '#/components/schemas/ApartmentlistVirtualTour'
          type: array
          default: []
        community_amenities:
          items:
            type: string
          type: array
          default: []
        unit_amenities:
          items:
            type: string
          type: array
          default: []
        specials:
          items:
            $ref: '#/components/schemas/ApartmentlistSpecial'
          type: array
          default: []
        application_fee:
          anyOf:
            - type: string
            - type: 'null'
        additional_fees:
          anyOf:
            - type: string
            - type: 'null'
        deposit_fee:
          anyOf:
            - type: string
            - type: 'null'
        move_in_fees:
          anyOf:
            - type: string
            - type: 'null'
        lease_terms:
          anyOf:
            - type: string
            - type: 'null'
        utilities_included:
          anyOf:
            - type: string
            - type: 'null'
        income_requirement:
          anyOf:
            - type: string
            - type: 'null'
        income_multiplier:
          anyOf:
            - type: number
            - type: 'null'
        walk_score:
          anyOf:
            - $ref: '#/components/schemas/ApartmentlistScore'
            - type: 'null'
        transit_score:
          anyOf:
            - $ref: '#/components/schemas/ApartmentlistScore'
            - type: 'null'
        top_amenities:
          items:
            $ref: '#/components/schemas/ApartmentlistTopAmenity'
          type: array
          default: []
        parking:
          items:
            $ref: '#/components/schemas/ApartmentlistParking'
          type: array
          default: []
        office_hours:
          items:
            $ref: '#/components/schemas/ApartmentlistOfficeHours'
          type: array
          default: []
        pet_policy:
          anyOf:
            - $ref: '#/components/schemas/ApartmentlistPetPolicy'
            - type: 'null'
        average_rent:
          anyOf:
            - $ref: '#/components/schemas/ApartmentlistAverageRent'
            - type: 'null'
        floor_plans:
          items:
            $ref: '#/components/schemas/ApartmentlistFloorPlan'
          type: array
          default: []
        schools:
          items:
            $ref: '#/components/schemas/ApartmentlistSchool'
          type: array
          default: []
        pois:
          items:
            $ref: '#/components/schemas/ApartmentlistPoi'
          type: array
          default: []
        reviews:
          items:
            $ref: '#/components/schemas/ApartmentlistListingReview'
          type: array
          default: []
        similar_listings:
          items:
            $ref: '#/components/schemas/ApartmentlistSimilarListing'
          type: array
          default: []
      type: object
      required:
        - id
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ApartmentlistVirtualTour:
      properties:
        '@type':
          type: string
          default: ApartmentlistVirtualTour
        provider:
          anyOf:
            - type: string
            - type: 'null'
        link:
          type: string
        tags:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - link
    ApartmentlistSpecial:
      properties:
        '@type':
          type: string
          default: ApartmentlistSpecial
        text:
          anyOf:
            - type: string
            - type: 'null'
        special_type:
          anyOf:
            - type: string
            - type: 'null'
        highlighted:
          anyOf:
            - type: boolean
            - type: 'null'
        monthly_price_discount:
          anyOf:
            - type: number
            - type: 'null'
        estimated_value:
          anyOf:
            - type: number
            - type: 'null'
        expires_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ApartmentlistScore:
      properties:
        '@type':
          type: string
          default: ApartmentlistScore
        score:
          anyOf:
            - type: integer
            - type: 'null'
        summary:
          anyOf:
            - type: string
            - type: 'null'
        link:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ApartmentlistTopAmenity:
      properties:
        '@type':
          type: string
          default: ApartmentlistTopAmenity
        name:
          type: string
        group:
          anyOf:
            - type: string
            - type: 'null'
        group_rank:
          anyOf:
            - type: number
            - type: 'null'
        filter_param:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    ApartmentlistParking:
      properties:
        '@type':
          type: string
          default: ApartmentlistParking
        category:
          anyOf:
            - type: string
            - type: 'null'
        comment:
          anyOf:
            - type: string
            - type: 'null'
        space_fee:
          anyOf:
            - type: number
            - type: 'null'
        spaces:
          anyOf:
            - type: integer
            - type: 'null'
        assigned_available:
          anyOf:
            - type: boolean
            - type: 'null'
        assigned_has_fee:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    ApartmentlistOfficeHours:
      properties:
        '@type':
          type: string
          default: ApartmentlistOfficeHours
        day:
          type: string
        opens_at:
          anyOf:
            - type: integer
            - type: 'null'
        closes_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - day
    ApartmentlistPetPolicy:
      properties:
        '@type':
          type: string
          default: ApartmentlistPetPolicy
        allowed:
          anyOf:
            - type: boolean
            - type: 'null'
        allowed_pets:
          items:
            type: string
          type: array
          default: []
        deposit:
          anyOf:
            - type: string
            - type: 'null'
        rent:
          anyOf:
            - type: string
            - type: 'null'
        fee:
          anyOf:
            - type: string
            - type: 'null'
        restrictions:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ApartmentlistAverageRent:
      properties:
        '@type':
          type: string
          default: ApartmentlistAverageRent
        price_studio:
          anyOf:
            - type: number
            - type: 'null'
        price_1br:
          anyOf:
            - type: number
            - type: 'null'
        price_2br:
          anyOf:
            - type: number
            - type: 'null'
        price_3br:
          anyOf:
            - type: number
            - type: 'null'
        trend:
          anyOf:
            - type: string
            - type: 'null'
        pricing_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ApartmentlistFloorPlan:
      properties:
        '@type':
          type: string
          default: ApartmentlistFloorPlan
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        beds:
          anyOf:
            - type: integer
            - type: 'null'
        baths:
          anyOf:
            - type: number
            - type: 'null'
        sqft:
          anyOf:
            - type: integer
            - type: 'null'
        sqft_max:
          anyOf:
            - type: integer
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        price_max:
          anyOf:
            - type: number
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        available_unit_count:
          anyOf:
            - type: integer
            - type: 'null'
        units:
          items:
            $ref: '#/components/schemas/ApartmentlistUnit'
          type: array
          default: []
      type: object
    ApartmentlistSchool:
      properties:
        '@type':
          type: string
          default: ApartmentlistSchool
        name:
          anyOf:
            - type: string
            - type: 'null'
        level:
          anyOf:
            - type: string
            - type: 'null'
        school_type:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: integer
            - type: 'null'
        parents_rating:
          anyOf:
            - type: number
            - type: 'null'
        enrollment:
          anyOf:
            - type: integer
            - type: 'null'
        distance:
          anyOf:
            - type: number
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    ApartmentlistPoi:
      properties:
        '@type':
          type: string
          default: ApartmentlistPoi
        name:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        distance:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    ApartmentlistListingReview:
      properties:
        '@type':
          type: string
          default: ApartmentlistListingReview
        text:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        review_type:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ApartmentlistSimilarListing:
      properties:
        '@type':
          type: string
          default: ApartmentlistSimilarListing
        id:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        street_address:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        zip:
          anyOf:
            - type: string
            - type: 'null'
        lowest_price:
          anyOf:
            - type: number
            - type: 'null'
        available_unit_count:
          anyOf:
            - type: integer
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    ApartmentlistUnit:
      properties:
        '@type':
          type: string
          default: ApartmentlistUnit
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        price_max:
          anyOf:
            - type: number
            - type: 'null'
        base_price:
          anyOf:
            - type: number
            - type: 'null'
        total_price:
          anyOf:
            - type: number
            - type: 'null'
        required_fees:
          anyOf:
            - type: number
            - type: 'null'
        sqft:
          anyOf:
            - type: integer
            - type: 'null'
        lease_length:
          anyOf:
            - type: integer
            - type: 'null'
        availability:
          anyOf:
            - type: string
            - type: 'null'
        available_on:
          anyOf:
            - type: string
            - type: 'null'
        apply_url:
          anyOf:
            - type: string
            - type: 'null'
        unit_rental_id:
          anyOf:
            - type: string
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````